com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_FreqProfile

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_FreqProfile
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_FreqProfile

-     public class STUHFL_T_ST25RU3993_FreqProfile
      extends BR_ST25RU3993_FreqProfile

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_FreqProfile

      `BR_ST25RU3993_FreqProfile.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `maxFrequency`
    `int` | `minFrequency`
    `int` | `numFrequencies`
    `int` | `profile`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_FreqProfile()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set frequency profile
    `STUHFL_E.RET_CODE` | `fetch()` Get frequency profile
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_FreqProfile

      `_Get_FreqProfile, _Set_FreqProfile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### profile

          public int profile

    - #### minFrequency

          public int minFrequency

    - #### maxFrequency

          public int maxFrequency

    - #### numFrequencies

          public int numFrequencies

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_FreqProfile

          public STUHFL_T_ST25RU3993_FreqProfile()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set frequency profile
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get frequency profile
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`